package org.apache.maven.scm.command.listfiles;

/*
 * Copyright 2001-2006 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.maven.scm.CommandParameter;
import org.apache.maven.scm.CommandParameters;
import org.apache.maven.scm.ScmException;
import org.apache.maven.scm.ScmResult;
import org.apache.maven.scm.command.AbstractCommand;
import org.apache.maven.scm.repository.ScmRepository;

import java.io.File;

/**
 * @author <a href="mailto:evenisse@apache.org">Emmanuel Venisse</a>
 * @author <a href="mailto:trygvis@inamo.no">Trygve Laugst&oslash;l</a>
 * @version $Id: AbstractListFilesCommand.java 372209 2006-01-25 13:30:01Z evenisse $
 */
public abstract class AbstractListFilesCommand
    extends AbstractCommand
{
    protected abstract ScmResult executeListFilesCommand( ScmRepository repository, File workingDirectory,
                                                          boolean recursive )
        throws ScmException;

    public ScmResult executeCommand( ScmRepository repository, File workingDirectory, CommandParameters parameters )
        throws ScmException
    {
        boolean recursive = parameters.getBoolean( CommandParameter.RECURSIVE );

        return executeListFilesCommand( repository, workingDirectory, recursive );
    }
}